- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Static Public Attributes | List of all members
AL::Mesh Class Reference

`#include <mesh.h>`

## Public Types
enum | Mode { POLYGON, TRIANGLES, QUADS }

## Public Member Functions
| Mesh (bool withTexCoords=false)
bool | withTexCoords () const
size_t | verticesStride () const
const std::vector< float > & | positions () const
size_t | positionsNb () const
float const * | positionPtrAt (size_t index) const
const std::vector< float > & | normals () const
size_t | normalsNb () const
float const * | normalPtrAt (size_t index) const
const std::vector< float > & | texCoords () const
size_t | texCoordsNb () const
float const * | texCoordPtrAt (size_t index) const
const std::vector< size_t > & | vertices () const
size_t | verticesNb () const
size_t const * | vertexPtrAt (size_t index) const
const std::vector< size_t > & | polygonVerticesCounts () const
size_t | polygonsNb () const
size_t | polygonVerticesCountAt (size_t index) const
size_t | normal (float x, float y, float z)
void | normal (size_t index)
size_t | texCoord (float u, float v)
void | texCoord (size_t index)
size_t | position (float x, float y, float z)
void | begin (Mode mode)
void | vertex (size_t positionIndex)
void | vertex (float x, float y, float z)
void | end ()

## Static Public Attributes
static const size_t | positionOffset = 0
static const size_t | normalOffset = 1
static const size_t | texCoordOffset = 2
static const size_t | NO_INDEX

## Detailed Description

Definition at line 89 of file mesh.h.

## Member Enumeration Documentation

enum AL::Mesh::Mode

Enumerator
POLYGON |
TRIANGLES |
QUADS |

Definition at line 127 of file mesh.h.

## Constructor & Destructor Documentation

AL::Mesh::Mesh | ( | bool | withTexCoords = `false` | ) |

## Member Function Documentation

void AL::Mesh::begin | ( | Mode | mode | ) |

void AL::Mesh::end | ( |  | ) |

size_t AL::Mesh::normal | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

void AL::Mesh::normal | ( | size_t | index | ) |

float const* AL::Mesh::normalPtrAt | ( | size_t | index | ) | const

const std::vector<float>& AL::Mesh::normals | ( |  | ) | const

size_t AL::Mesh::normalsNb | ( |  | ) | const

size_t AL::Mesh::polygonsNb | ( |  | ) | const

size_t AL::Mesh::polygonVerticesCountAt | ( | size_t | index | ) | const

const std::vector<size_t>& AL::Mesh::polygonVerticesCounts | ( |  | ) | const

size_t AL::Mesh::position | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

float const* AL::Mesh::positionPtrAt | ( | size_t | index | ) | const

const std::vector<float>& AL::Mesh::positions | ( |  | ) | const

size_t AL::Mesh::positionsNb | ( |  | ) | const

size_t AL::Mesh::texCoord | ( | float | u,
|  | float | v
| ) |  |

void AL::Mesh::texCoord | ( | size_t | index | ) |

float const* AL::Mesh::texCoordPtrAt | ( | size_t | index | ) | const

const std::vector<float>& AL::Mesh::texCoords | ( |  | ) | const

size_t AL::Mesh::texCoordsNb | ( |  | ) | const

void AL::Mesh::vertex | ( | size_t | positionIndex | ) |

void AL::Mesh::vertex | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

size_t const* AL::Mesh::vertexPtrAt | ( | size_t | index | ) | const

const std::vector<size_t>& AL::Mesh::vertices | ( |  | ) | const

size_t AL::Mesh::verticesNb | ( |  | ) | const

size_t AL::Mesh::verticesStride | ( |  | ) | const

bool AL::Mesh::withTexCoords | ( |  | ) | const

## Member Data Documentation

const size_t AL::Mesh::NO_INDEX
| static

Definition at line 128 of file mesh.h.

const size_t AL::Mesh::normalOffset = 1
| static

Definition at line 101 of file mesh.h.

const size_t AL::Mesh::positionOffset = 0
| static

Definition at line 99 of file mesh.h.

const size_t AL::Mesh::texCoordOffset = 2
| static

Definition at line 103 of file mesh.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/mesh.h